net.sourceforge.pmd

## Class PMDException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - net.sourceforge.pmd.PMDException

- All Implemented Interfaces:
    Serializable

      public class PMDException
      extends Exception

  A convenience exception wrapper. Contains the original exception, if any. Also, contains a severity number (int). Zero implies no severity. The higher the number the greater the severity.
  Since:
    August 30, 2002
  Version:
    $Revision$, $Date$
  Author:
    Donald A. Leckie
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PMDException(String message)`
    `PMDException(String message, Exception reason)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getSeverity()`
    `void` | `setSeverity(int severity)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PMDException

          public PMDException(String message)

    - #### PMDException

          public PMDException(String message,
                      Exception reason)

  - ### Method Detail

    - #### setSeverity

          public void setSeverity(int severity)

    - #### getSeverity

          public int getSeverity()

Copyright © 2002-2013 InfoEther. All Rights Reserved.